> ## Documentation Index
> Fetch the complete documentation index at: https://infercrane.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Map a hosted identity and grant or revoke private-console access



## OpenAPI

````yaml /openapi.json put /api/v1/console/access
openapi: 3.1.0
info:
  description: >-
    Durable, authenticated control-plane operations. Mutation responses may
    outlive the requesting client.
  title: InferCrane Control API
  version: 2.0.0
servers:
  - description: Local InferCrane API and gateway
    url: http://127.0.0.1:18000
security: []
tags:
  - name: Admission
  - name: Adoption
  - name: Alerts
  - name: Async inference
  - name: Audit
  - name: Autopilot
  - name: Benchmarks
  - name: Burst Guard
  - name: Capacity intelligence
  - name: Context Passport
  - name: Deployments
  - name: Diagnostics
  - name: Endpoints
  - name: External capacity
  - name: FinOps
  - name: Identity
  - name: Inference
  - name: Inference Lab
  - name: Inference decisions
  - name: Infrastructure
  - name: Model artifacts
  - name: Monitoring
  - name: Operations
  - name: Recipes
  - name: Release Guard
  - name: Release evidence
  - name: Replay
  - name: Revisions
  - name: Routing
  - name: Sandboxes
  - name: Scaling
  - name: Secrets
  - name: System
  - name: Targets
  - name: Training lineage
paths:
  /api/v1/console/access:
    put:
      tags:
        - Identity
      summary: Map a hosted identity and grant or revoke private-console access
      operationId: configureConsoleAccess
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ConsoleIdentityProvisioning'
        required: true
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Object'
          description: Success
        default:
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorEnvelope'
          description: Typed API error
      security:
        - bearerAuth: []
components:
  schemas:
    ConsoleIdentityProvisioning:
      additionalProperties: false
      properties:
        access:
          type: boolean
        display_name:
          maxLength: 255
          minLength: 1
          type: string
        external_organization_id:
          maxLength: 255
          minLength: 1
          type: string
        external_user_id:
          maxLength: 255
          minLength: 1
          type: string
        provider:
          enum:
            - clerk
          type: string
        role:
          enum:
            - viewer
            - operator
            - admin
          type: string
        scopes:
          items:
            type: string
          maxItems: 32
          type: array
      required:
        - provider
        - external_user_id
        - external_organization_id
        - display_name
        - role
        - access
      type: object
    Object:
      additionalProperties: true
      type: object
    ErrorEnvelope:
      properties:
        error:
          $ref: '#/components/schemas/Error'
      required:
        - error
      type: object
    Error:
      properties:
        category:
          type: string
        code:
          type: string
        message:
          type: string
        remediation:
          type: string
        request_id:
          type: string
        retryable:
          type: boolean
      required:
        - code
        - message
      type: object
  securitySchemes:
    bearerAuth:
      scheme: bearer
      type: http

````